Bug 485666 - At boot time, udev does not make /dev/sd* entries for a ESATA drive....
At boot time, udev does not make /dev/sd* entries for a ESATA drive....
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-15 23:25 EST by Jon
Modified: 2009-12-18 02:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:55:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
copy of the syslog with udev debug turned on (226.35 KB, text/plain)
2009-02-15 23:44 EST, Jon
no flags Details
dmesg output from the boot of the same (29.77 KB, text/plain)
2009-02-17 22:29 EST, Jon
no flags Details

  None (edit)
Description Jon 2009-02-15 23:25:35 EST
Description of problem:
I have a hard drive mounted in a external esclosure connected to a ESATA connection. 

When Fedora 10 gets booted, udev NEVERS makes the /dev/sd* entries. After it boots, the drive gets unplugged and plugged and udev makes the entires. 

Version-Release number of selected component (if applicable):
Fedora 10 updated to the latest updates.

How reproducible:
Happens at every boot.

Steps to Reproduce:
1. Install Fedora 10
2. Plug a esata drive to the controller
3. Reboot
  
Actual results:
At boot time, the /dev/sd* entries are NOT made.

Expected results:
At boot time, the /dev/sd* entries ARE MADE.

Additional info:
Comment 1 Jon 2009-02-15 23:30:45 EST
BTW, the file attached to this is copy of the syslog with the udev debug logging turned on. 20:41:32

At 20:41:32 in the log, is where I unplugged the cable, then 10 seconds later, I plugged it back in. 

Jon
Comment 2 Jon 2009-02-15 23:44:05 EST
Created attachment 332001 [details]
copy of the syslog with udev debug turned on

copy of the syslog with udev debug turned on
Comment 3 Harald Hoyer 2009-02-16 05:37:51 EST
udev only sees what the kernel reports.. reassigning to the kernel
Comment 4 Chuck Ebbert 2009-02-17 21:27:53 EST
Can you do the following:

1. boot with the drive attached
2. unplug it and plug it back in
3. run the 'dmesg' command and attach the output of that to this bug report
Comment 5 Jon 2009-02-17 22:29:09 EST
Created attachment 332335 [details]
dmesg output from the boot of the same

Chuck,

This dmesg output is from the very same system that the syslog attached to this issue and has not been rebooted at all. 

Jon
Comment 6 Chuck Ebbert 2009-02-20 02:06:15 EST
It says it couldn't recognize any device attached at boot time:

ata3: SATA link up 1.5 Gbps (SStatus 113 SControl 310)
ata3.00: NODEV after polling detection

Then on unplug / replug:

ata3: exception Emask 0x10 SAct 0x0 SErr 0x10000 action 0xe frozen
ata3: SError: { PHYRdyChg }
ata3: hard resetting link
ata3: SATA link down (SStatus 0 SControl 310)
ata3: EH complete
ata3: exception Emask 0x10 SAct 0x0 SErr 0x50000 action 0xe frozen
ata3: SError: { PHYRdyChg CommWake }
ata3: hard resetting link
ata3: SATA link up 1.5 Gbps (SStatus 113 SControl 310)
ata3.00: ATA-7: Hitachi HDS721010KLA330, GKAOAB0A, max UDMA/133
ata3.00: 1953525168 sectors, multi 16: LBA48 NCQ (depth 0/32)
ata3.00: configured for UDMA/100
ata3: EH complete
Comment 7 Jon 2009-02-20 02:44:12 EST
Chuck,

Yea... I noticed that, I wonder what is the device driver is missing/not doing when it is called during the booting phase..... *hmmmmssss* BTW, which driver is it? sd.c or sata_sil?

Jon
Comment 8 Bug Zapper 2009-11-18 06:06:52 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-12-18 02:55:36 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.